{
  ...
}:
{
  name = "service-victoriametrics";

  clan = {
    test.useContainers = false;
    directory = ./.;
    inventory = {
      machines.server = { };

      instances = {
        victoriametrics-test = {
          module.name = "@clan/victoriametrics";
          module.input = "self";
          roles.default.machines."server".settings = { };
        };
      };
    };
  };

  nodes = {
    server = { };
  };

  testScript = ''
    start_all()

    server.wait_for_unit("victoriametrics")

    server.succeed("systemctl status victoriametrics")

  '';
}
